xz_file_info Struct Reference

Information about a .xz file. More...

## Data Fields

lzma_index * | idx
| Combined Index of all Streams in the file. More...
uint64_t | stream_padding
| Total amount of Stream Padding. More...
uint64_t | memusage_max
| Highest memory usage so far. More...
bool | all_have_sizes
uint32_t | min_version
| Oldest XZ Utils version that will decompress the file. More...

## Detailed Description

Information about a .xz file.

## Field Documentation

## idx

lzma_index* xz_file_info::idx

Combined Index of all Streams in the file.

## stream_padding

uint64_t xz_file_info::stream_padding

Total amount of Stream Padding.

## memusage_max

uint64_t xz_file_info::memusage_max

Highest memory usage so far.

## all_have_sizes

bool xz_file_info::all_have_sizes

True if all Blocks so far have Compressed Size and Uncompressed Size fields

## min_version

uint32_t xz_file_info::min_version

Oldest XZ Utils version that will decompress the file.

The documentation for this struct was generated from the following file:

- xz/list.c